netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_config.h File Reference
`#include <atalk/dsi.h>`
`#include <atalk/globals.h>`
`#include <atalk/server_child.h>`

Go to the source code of this file.

## Functions
int | configinit (AFPObj *, AFPObj *)
| Get everything running.
void | configfree (AFPObj *, DSI *)
| Free and cleanup config and DSI.

## Function Documentation

## ◆ configfree()

void configfree | ( | AFPObj * | obj,
|  | DSI * | dsi )
| extern

Free and cleanup config and DSI.

"dsi" can be NULL in which case all DSI objects and the config object is freed, otherwise its an afpd session child and only any unneeded DSI objects are freed

## ◆ configinit()

int configinit | ( | AFPObj * | dsi_obj,
|  | AFPObj * | asp_obj )
| extern

Get everything running.